# Mobicoop V3 - Logger Service

Logging system for all services.

## Requirements

You need [Docker](https://docs.docker.com/engine/) and [Docker-compose](https://docs.docker.com/compose/).

A RabbitMQ instance is also required to receive messages from other services.

## Installation

Copy `.env.dist` to `.env` :

```bash
cp .env.dist .env
```

and modify it to suit your needs.

Then execute :

```bash
docker-compose up -d
```

The app runs automatically on the port defined in `SERVICE_PORT` of `.env` file (default : _5099_).

## Test

```bash
# unit tests
docker exec v3-user sh -c "npm run test"

# test coverage
docker exec v3-user sh -c "npm run test:cov"
```

Note : you can run all npm commands directly _outside_ the container (see _scripts_ section of `package.json` for available commands), but you need NodeJS installed locally. We **strongly** advise to install [Node Version Manager](https://github.com/nvm-sh/nvm) and use the latest LTS version of Node.

## License

Mobicoop V3 - Logger Service is [AGPL licensed](LICENSE).
